Skip to main content
`Ctrl`+`K`

# DMCopyAuxiliaryVec

Copy the auxiliary vector data on a `DM` to a new `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyAuxiliaryVec(DM dm, DM dmNew)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- dmNew - The new `DM`, now with the same auxiliary data

## Note

This is a shallow copy of the auxiliary vectors

## See Also

DM Basics, `DM`, `DMClearAuxiliaryVec()`, `DMGetNumAuxiliaryVec()`, `DMGetAuxiliaryVec()`, `DMSetAuxiliaryVec()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages